Subject: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: "Trent W. Buck" <[email-masked]>
Date: Fri, 3 Oct 2008 08:46:11 +1000

On Thu, Oct 02, 2008 at 03:34:42PM -0700, Dan Nicolaescu wrote:
> Depending on what the definition if "right" is... If it means enabling
> interaction before detaching, then you might be right (haven't checked).
> If it means the patch that Romain posted, that should be fine to go in
> now.

Currently if you "emacs --daemon" and .emacs contains a syntax error,
you don't get any warning of this.

Currently if you do something like "emacs --daemon -f irc -f gnus",
any minibuffer prompts will appear when you connect a client.

I think I'd prefer the first to change and the latter to stay the
same, but I haven't had any coffee yet.